<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.distributable-ejb.client-mappings-registry.infinispan" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="cache-container,cache"/>
        <elem name="addr-params" value="profile,subsystem,client-mappings-registry"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.distributable-ejb"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.ejb.client-mappings-registry-provider"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.infinispan.default-cache-configuration.$cache-container"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.cache-configuration.$cache-container.$cache" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.distributable-ejb"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="client-mappings-registry" feature-id="true" default="infinispan"/>
        <param name="cache-container" stability="default"/>
        <param name="subsystem" feature-id="true" default="distributable-ejb"/>
        <param name="cache" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>